Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.farafin.snEADy.player
Interface PubConstants

All Known Implementing Classes:
  C_Dummy, C_Human, OwnSnakeInfo, Player, SnakeInfo

    public interface PubConstants

This Interface contains some constants which you need to interpete the playfield or specify directions. Just implement it in your class you want to use it in. Than you are able to use the constants as if they were local variables. See Luke Wallwalker as excample.
Dieses Interface enthällt einige Konstanten mit denen ihr das Spielfeld interpretieren, und Richtungen spezifizieren könnt. Es reicht aus das Interface in der klasse in der ihr es nutzen wollt zu implementieren, dann könnt ihr die Konstanten wie lokale Variablen benutzen. Schaut euch eifnach LukeWallwalker an für ein Beispiel.

Author:
  roland, lars

Field Summary
`static int` | `EAST` head direction of the snake
`static char` | `EXIT` exit fields: This are the exit fields.
`static char` | `FREE` free field
`static int` | `IN_ACTION` if a snake is on the field and running
`static int` | `IN_EXIT` if the snake has left the arena throu the exit
`static int` | `IN_HEAVEN` if the snake died in battle, rest in peace
`static char` | `LENGTH` length goody: makes the snake longer The snake grows slowly each time it moves.
`static int` | `MOVE_EAST` move to this direction
`static int` | `MOVE_NORTH` move to this direction
`static int` | `MOVE_SOUTH` move to this direction
`static int` | `MOVE_WEST` move to this direction
`static int` | `NORTH` head direction of the snake
`static char` | `PLAYER_0` player 0
`static char` | `PLAYER_1` player 1
`static char` | `PLAYER_2` player 2
`static char` | `PLAYER_3` player 3
`static char` | `PLAYER_4` player 4
`static char` | `PLAYER_5` player 5
`static char` | `PLAYER_6` player 6
`static char` | `PLAYER_7` player 7
`static char` | `PLAYER_8` player 8
`static char` | `PLAYER_9` player 9
`static char` | `POINTS` points goody: gives the player points points goody: gibt dem Spieler Punkte
`static char` | `SHORTER` shorter goody: makes the snake shorter The snakes head moves ahead as normal, but the tail looses each time the snake moves one segment until its new length is reached.
`static char` | `SLOWDOWN` slowdown goody: increase waitCycle by one if the maximum wasn't reached.
`static int` | `SOUTH` head direction of the snake
`static char` | `SPEED` speed goody: decrease waitCycle by one if the minimum wasn't reached.
`static int` | `TURN_LEFT` the snake turns left
`static int` | `TURN_NONE` the snake moves stright ahead
`static int` | `TURN_RIGHT` the snake turns right
`static char` | `WALL` blocked field
`static int` | `WEST` head direction of the snake

Field Detail

### FREE

    static final char FREE

  free field

  See Also:
    Constant Field Values

### WALL

    static final char WALL

  blocked field

  See Also:
    Constant Field Values

### PLAYER_0

    static final char PLAYER_0

  player 0

  See Also:
    Constant Field Values

### PLAYER_1

    static final char PLAYER_1

  player 1

  See Also:
    Constant Field Values

### PLAYER_2

    static final char PLAYER_2

  player 2

  See Also:
    Constant Field Values

### PLAYER_3

    static final char PLAYER_3

  player 3

  See Also:
    Constant Field Values

### PLAYER_4

    static final char PLAYER_4

  player 4

  See Also:
    Constant Field Values

### PLAYER_5

    static final char PLAYER_5

  player 5

  See Also:
    Constant Field Values

### PLAYER_6

    static final char PLAYER_6

  player 6

  See Also:
    Constant Field Values

### PLAYER_7

    static final char PLAYER_7

  player 7

  See Also:
    Constant Field Values

### PLAYER_8

    static final char PLAYER_8

  player 8

  See Also:
    Constant Field Values

### PLAYER_9

    static final char PLAYER_9

  player 9

  See Also:
    Constant Field Values

### LENGTH

    static final char LENGTH

  length goody: makes the snake longer
  The snake grows slowly each time it moves. So that the head moves normal while the tail stayst at its position until the snake has reached its new length.
  längen goody: macht die Schlange länger
  Die Schlange wächst langsam jedes mal wenn sie sich bewegt. Ihr Kopf bewegit sich normal weiter, wärend ihr Körper an der ursprünglichen Position stehen bleibt bis sie ihre neue Länge erreicht hat.

  See Also:
    `SnakeInfo.snakeLength`, Constant Field Values

### SPEED

    static final char SPEED

  speed goody: decrease waitCycle by one if the minimum wasn't reached. geschwindigkeits goody: verringert die waitCycles um 1 wenn das minimum noch nicht erreicht ist.

  See Also:
    `SnakeInfo.waitCycles`, Constant Field Values

### POINTS

    static final char POINTS

  points goody: gives the player points points goody: gibt dem Spieler Punkte

  See Also:
    `SnakeInfo.points`, Constant Field Values

### SLOWDOWN

    static final char SLOWDOWN

  slowdown goody: increase waitCycle by one if the maximum wasn't reached. bremsen goody: erhöht die waitCycles um 1 wenn das maximum noch nicht erreicht ist.

  See Also:
    `SnakeInfo.waitCycles`, Constant Field Values

### SHORTER

    static final char SHORTER

  shorter goody: makes the snake shorter
  The snakes head moves ahead as normal, but the tail looses each time the snake moves one segment until its new length is reached.
  verkürzen goody: macht die Schlange kürzer
  Der Kopf der Schlange bewegt sich weiter wie bisher, aber ihr Körper jedes mal wenn sich die Schlange bewegt um ein Segment kürzer wird.

  See Also:
    `SnakeInfo.snakeLength`, Constant Field Values

### EXIT

    static final char EXIT

  exit fields: This are the exit fields. Until gameTime has noch reached exitTime, exit-fields behave the same as walls does. If the exit is opened, the snake can leave the arena. By the way: the only way to survive in snEADy is to reach the exit. Snakes doesn't reach it died dureing the battle or they die during sudden death.
  There are also survival points given for those snakes who reach the exit. The amount of points depends in which position the snake goes into the exit.
  For detailed informations how many points a snake gets in the tournament, visit www.snEADy.de. Lets say the first snake gets n points, than the second gets 2*n, the thired 3*n usw..
  Das hier ist das Exit-Feld. Bevor gameTime noch nicht exitTime erreicht hat, verhalten sich die Exit-Felder wie Wände. Nachdem der Exit geöffnet wurde kann die Schlange die Arena verlassen. Und wo wir grad dabei sind: Der einzige Weg in snEADy zu übereben ist den Exit zu erreichen. Schlangen die das nicht schaffen sind entweder wärend des kampfes gestorben oder sterben wärend der sudden death phase.
  Es werden aber auch Punkte für die Schlangen verteilt, die den Ausgang erreichen. Wie viele das sind hängt davon ab an wievielter stelle die Schlange in das Exit geht.
  Für genauere Informationen wie viele Punkte das sind schaut bitte auf www.snEADy.de nach. Aber wenn die erste Schlange n Punkte bekommt, dann bekommt die 2. 2*n, die dritte 3*n usw...

  See Also:
    `GameInfo.gameTime`, `GameInfo.exitTime`, Constant Field Values

### NORTH

    static final int NORTH

  head direction of the snake

  See Also:
    Constant Field Values

### EAST

    static final int EAST

  head direction of the snake

  See Also:
    Constant Field Values

### SOUTH

    static final int SOUTH

  head direction of the snake

  See Also:
    Constant Field Values

### WEST

    static final int WEST

  head direction of the snake

  See Also:
    Constant Field Values

### MOVE_NORTH

    static final int MOVE_NORTH

  move to this direction

  See Also:
    Constant Field Values

### MOVE_EAST

    static final int MOVE_EAST

  move to this direction

  See Also:
    Constant Field Values

### MOVE_SOUTH

    static final int MOVE_SOUTH

  move to this direction

  See Also:
    Constant Field Values

### MOVE_WEST

    static final int MOVE_WEST

  move to this direction

  See Also:
    Constant Field Values

### IN_ACTION

    static final int IN_ACTION

  if a snake is on the field and running

  See Also:
    Constant Field Values

### IN_HEAVEN

    static final int IN_HEAVEN

  if the snake died in battle, rest in peace

  See Also:
    Constant Field Values

### IN_EXIT

    static final int IN_EXIT

  if the snake has left the arena throu the exit

  See Also:
    Constant Field Values

### TURN_NONE

    static final int TURN_NONE

  the snake moves stright ahead

  See Also:
    Constant Field Values

### TURN_LEFT

    static final int TURN_LEFT

  the snake turns left

  See Also:
    Constant Field Values

### TURN_RIGHT

    static final int TURN_RIGHT

  the snake turns right

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD